Subject: Re: bug#16413: 24.3.50; Inconsistent behavior of text property functions in narrowed buffer

From: Stefan Monnier <[email-masked]>
Date: Sun, 12 Jan 2014 16:37:46 -0500

> As I see it, there are generally two use cases:
> 1) I'm a user and want to limit my view of the buffer, and
> 2) I'm a lisp program and want to put ad-hoc bounds on various operations.
> I don't see why the two uses would be incompatible.

Typical problematic questions:
- should line-number-at-pos count from point-min or from 1?
- should syntax-ppss consider that point-min is "outside of any
  comment/string/paren/..."?

        Stefan